<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Edit Revenue</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css">
</head>
<body>
<div class="container my-5">
    <h2 class="mb-5">New Revenue</h2>
    <div class="row">
        <div class="col-md-6">
            <form action="#" th:action="@{/revenue/add}" th:object="${revenueDto}" method="post">
                <div class="row">
                    <div class="form-group col-md-6">
                        <label for="amount" class="col-form-label">Amount</label>
                        <input type="number" th:field="*{amount}" class="form-control" id="amount" placeholder="Amount">
                        <span th:if="${#fields.hasErrors('amount')}" th:errors="*{amount}" class="text-danger"></span>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6 mt-5">
                        <input type="submit" class="btn btn-primary" value="Add Revenue">
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
</body>
</html>
